> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orbital-systems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Unpair shower



## OpenAPI

````yaml /spec.json delete /client/showers/{id}
openapi: 3.0.4
info:
  title: Orbital API
  version: 1.0.0
servers:
  - url: https://api.orbital-systems.com
    description: Production
  - url: https://stage-api.orbital-systems.com
    description: Staging
  - url: https://dev-api.orbital-systems.com
    description: Development
security:
  - apiKeyAuth: []
tags: []
paths:
  /client/showers/{id}:
    delete:
      tags:
        - Shower pairing.
      summary: Unpair shower
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
          description: The unique identifier for the shower
      responses:
        '200':
          description: Shower removed successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/showerResponse'
        '401':
          description: Authentication failed
          content:
            application/json:
              schema:
                type: object
        '404':
          description: Shower not found
          content:
            application/json:
              schema:
                type: object
        '500':
          description: Database error
          content:
            application/json:
              schema:
                type: object
components:
  schemas:
    showerResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
        owner:
          type: string
          format: uuid
        name:
          type: string
        state:
          type: string
        saved_water:
          type: number
        saved_energy:
          type: number
        sessions:
          type: number
        latest_session:
          type: string
        avg_temperature:
          type: number
        avg_session_duration:
          type: number
        filter_status:
          type: number
        device_group:
          type: string
          format: uuid
        last_connected:
          type: string
        last_disconnected:
          type: string
        created_at:
          type: string
        build_id:
          type: string
        replace_uv:
          type: boolean
        is_cleaning_program_required:
          type: boolean
        clean_sensor_tank:
          type: boolean
        no_recirculation:
          type: boolean
        float_leak:
          type: boolean
        operating:
          type: object
          properties:
            cleaning_programs:
              type: number
            inner_heat_treatments:
              type: number
            outer_heat_treatments:
              type: number
            sessions:
              type: number
            sessions_since_cleaning_program:
              type: number
            sessions_since_inner_heat_treatment:
              type: number
            sessions_since_outer_heat_treatment:
              type: number
            liters_since_last_descaling:
              type: number
        profile:
          type: string
        oas_revision: {}
        serial_number:
          type: string
        wifi_ssid:
          type: string
        installation_info:
          type: object
          properties:
            installation_name:
              type: string
            installation_date:
              type: string
        installation_test:
          type: object
          properties:
            id:
              type: string
        type:
          type: string
        base:
          type: number
        control_dial_notifications:
          type: boolean
        hibernating:
          type: boolean
        updated_at:
          type: string
        avg_water_recirculation_rate:
          type: number
        descaling_status:
          type: number
        role:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````